Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> BUGS/FIXES - Raven's v7.3 Customized Distro
Author Message
Raven
Site Admin/Owner


Joined: Aug 27, 2002
Posts: 17086

PostPosted: Sun Jun 27, 2004 6:10 pm Reply with quote

Just thought I would give you an update Smile

So far, my 7.3 distribution will come pre-installed with the following:

Chatserv's Fix/Security pack 2.5
Sentinel™
Raven's Resend Email Mod
Sommaire
Coppermine Photo Gallery
Quiecomm Shoutbox patched by ourscripts.net
SP Chat
Scrolling Forums Block
Raven's KISGB For Nuke
Raven's Site Info Block


Remember that in my custom packs I try to not add anything that modifies core code or tables. With that in mind, please advise what else you would like me to consider. Once I hear back from you I will determine what else will go in and then release an RC. Thanks!
 
View user's profile Send private message
Raven
PostPosted: Mon Jun 28, 2004 8:07 am Reply with quote

So far, my 7.3 distribution will come pre-installed with the following:

Chatserv's Fix/Security pack 2.5
Sentinel™
Raven's Resend Email Mod
Sommaire
Coppermine Photo Gallery
Quiecomm Shoutbox patched by ourscripts.net
SP Chat
Scrolling Forums Block
Raven's KISGB For Nuke
Raven's Site Info Block
Raven's Who Is Where Block
 
SmackDaddy
Involved
Involved


Joined: Jun 02, 2004
Posts: 268
Location: Englewood, OH

PostPosted: Mon Jun 28, 2004 10:48 am Reply with quote

I like, I like!!!! When? When? Mr. Green
 
View user's profile Send private message Send e-mail Visit poster's website
Raven
PostPosted: Mon Jun 28, 2004 10:55 am Reply with quote

Very soon (for real). AudioSlaved is [hopefully] integrating GTNextGen into the distro so that it will come ready for use if you want to turn it on. I only have a couple more things to add in and then I will out it up for testing.
 
SmackDaddy
PostPosted: Mon Jun 28, 2004 11:00 am Reply with quote

Nice. If you need a beta tester for things like this, please feel free to add my name to the group.....I wouldn't argue or complain. Wink
 
Raven
PostPosted: Mon Jun 28, 2004 11:03 am Reply with quote

This time I'm just releasing it to all as an RC, but thanks!
 
Raven
PostPosted: Mon Jun 28, 2004 12:35 pm Reply with quote

So far, my 7.3 distribution will come pre-installed with the following:

Chatserv's Fix/Security pack 2.5
Sentinel™
Raven's Resend Email Mod
Sommaire
Coppermine Photo Gallery
Quiecomm Shoutbox patched by ourscripts.net
SP Chat
Scrolling Forums Block
Raven's KISGB For Nuke
Raven's Site Info Block
Raven's Who Is Where Block
Raven's MySQL Utility
 
gounder
New Member
New Member


Joined: May 03, 2004
Posts: 2

PostPosted: Mon Jun 28, 2004 1:22 pm Reply with quote

Wink This is great Raven, it appers that most of the pre-installed are similar to CPG-Nuke package.

Is the security as good as CPG-Nuke if not better?? I like CPG-Nuke but the ability to use NSN scripts is a draw back.

Will your package include WYSIWYG and updated NSN Your Account?

Thanks for the great work.
 
View user's profile Send private message
Raven
PostPosted: Mon Jun 28, 2004 1:40 pm Reply with quote

The security is based on Chat's security packs, which he has been producing since time immortal Laughing and Sentinel™ . It's what I depend on and so I recommend it. I do not use CPG Nuke so I woud be ill suited to compare the two Smile

WYSIWYG alters core code, so I will not include it. NSN Your Account is a great package, but it too alters core code. I have chosen to do all possib;e to not alter core code or tables. Adding an include to mainfile.php (as an example) is not what I refer to as altering core code. That is easily removed and updated. However, rewriting the core code makes upgrades all the more difficult, so I have chosen to not pass that on to the community.
 
gounder
PostPosted: Mon Jun 28, 2004 2:05 pm Reply with quote

Raven, thanks for you response.

Can't wait for your 7.3 distribution package..
 
Audioslaved
Regular
Regular


Joined: Nov 15, 2003
Posts: 53
Location: Hawaii and the Fan Forum

PostPosted: Tue Jun 29, 2004 2:46 am Reply with quote

I will quote you accurately Raven my friend

Quote:

Audioslaved is [definitely] integrating GTNextGen into the distro so that it will come ready for use if you want to turn it on.


I am almost done, the I am just finishing up a few adjustments and adding more functionality to it such as the Advanced Header Redirection we spoke of the other day, that requires me to hit a majority of the module files at least once to see what the Header() redirects look like. All in all, almost done! Smile

_________________
The Audioslave Fan Forum
For the Fans, By the Fans Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Send e-mail Visit poster's website AIM Address MSN Messenger
Raven
PostPosted: Tue Jun 29, 2004 3:59 am Reply with quote

Laughing The magic of quoting Laughing

This is going to be a great release, I am sure. Thanks! Wink
 
SmackDaddy
PostPosted: Tue Jun 29, 2004 4:58 am Reply with quote

Well, I am (im)patiently waiting. Wink
 
NauticaX
New Member
New Member


Joined: Jun 29, 2004
Posts: 2

PostPosted: Tue Jun 29, 2004 9:38 pm Reply with quote

Wow.. I need this Smile my site has been hacked before so I need a secure phpnuke. I currently have phpnuke 7.0 installed. Will I be able to upgrade to your 7.3 modified version?
 
View user's profile Send private message
Raven
PostPosted: Wed Jun 30, 2004 4:21 am Reply with quote

I don't plan on offering an upgrade package. It will be for new installs.
 
NauticaX
PostPosted: Wed Jun 30, 2004 10:36 pm Reply with quote

d*** no upgrade package Sad
 
stephen2417
Worker
Worker


Joined: Jan 18, 2004
Posts: 244
Location: Bristolville, OH

PostPosted: Wed Jun 30, 2004 11:57 pm Reply with quote

If you think about it the upgrade wouldnt be to hard, just compare the db's. Right?


PS I loved that installer you made last time RavensScripts
 
View user's profile Send private message Visit poster's website
Raven
PostPosted: Thu Jul 01, 2004 4:50 am Reply with quote

stephen2417 wrote:
If you think about it the upgrade wouldnt be to hard, just compare the db's. Right?


PS I loved that installer you made last time RavensScripts
And ALL the files.
 
Raven
PostPosted: Tue Jul 06, 2004 1:16 pm Reply with quote

I have been working on an SQL Loader Smile. I need some of you to test it out and feedback. I know the loader works, but I have put together a pretty solid Database/Tables/Permissions tester. This will basically sit on the front end of the SQL Creator. I have a very limited (almost pathetic) help facility that I will add more content to before releasing, but try to overlook the asthetics/symbolism and test the substance Rolling Eyes . Grab the Only registered users can see links on this board! Get registered or login! and let me know your findings/issues. Thanks!
 
afc
Worker
Worker


Joined: Aug 16, 2003
Posts: 107
Location: USA

PostPosted: Tue Jul 06, 2004 2:50 pm Reply with quote

ready to test it out, put my server to some use Twisted Evil
 
View user's profile Send private message
afc
PostPosted: Tue Jul 06, 2004 4:02 pm Reply with quote

Raven you might want to put a over ride for server with safe mode on

Warning: SAFE MODE Restriction in effect. The script whose uid is 503 is not allowed to access /var/www/html owned by uid 0 in /home/virtual/site1/fst/var/www/html/sqlbuild.php on line 10

Warning: Failed opening '/var/www/html' for inclusion (include_path='.:/php/includes:/usr/share/php') in /home/virtual/site1/fst/var/www/html/sqlbuild.php on line 10
 
Raven
PostPosted: Tue Jul 06, 2004 4:36 pm Reply with quote

Laughing - I saw a site the other day where the guy had some really nice scripts and projects. He stated right up front that if you or your server operate in safe mode that's your problem not his ROTFL . I had to laugh because I feel the same way. However, I realize that many have no choice in the matter as they are on a shared server. Soooooooooo ....

Do me a favor and try this. Change lines 10-13 from
Code:
      include($configpath);

      $dbname = empty($tmpDbName)?$dbname:$tmpDbName;
   }
   else $configpath = '***** FILE NOT FOUND *****';
to
Code:
      $result = @include($configpath);

      if (!$result) $configpath = '***** FILE NOT FOUND OR NOT ACCESSIBLE *****';
      else $dbname = empty($tmpDbName)?$dbname:$tmpDbName;
   }
   else $configpath = '***** FILE NOT FOUND OR NOT ACCESSIBLE *****';


Did that work?


Last edited by Raven on Tue Jul 06, 2004 7:51 pm; edited 1 time in total 
antinportugal
Hangin' Around


Joined: Feb 24, 2004
Posts: 31

PostPosted: Tue Jul 06, 2004 5:14 pm Reply with quote

For me it's late at night and perhaps it just a case of the brain being scrambled so unless others come up with simular findings I suggest you leave this one for the moment Smile

but it appears that when
1) using a username that has permission to connect to a database (used in all config files) I get:

Quote:

Server Connection Test -- It doesn't appear that MySQL is running under host: localhost.
MySQL said: Access denied for user: 'xxxxxxxx@localhost' (Using password: YES)

Try a different User and/or Password combination..




2) when I use a username that has permissions to create databases (using mysql) I get

Quote:

>>>Note: This user does not have Create Database Permissions for this MySQL server. Either select another user/pass combination or you will need to create the database first and then come back to this utility to create the tables.


Successfully connected to database db_xxxxxxxxxx.

Successfully read 0 tables from database_xxxxxxxxx. (edit: that's correct because there are no tables)

I left "Please enter the path to the nuke configuration file:" blank in both cases

bound to just be some obscure setting we have in place
 
View user's profile Send private message Send e-mail
Raven
PostPosted: Tue Jul 06, 2004 5:35 pm Reply with quote

I can't explain that because here it definitely recognizes a user/pass combo that has permission. As it says in the Help and Note, if you use a front end like cPanel you won't have permission outside of cPanel. Could that be the case?
 
GeekyGuy
Client


Joined: Jun 03, 2004
Posts: 302
Location: Huber Heights Ohio

PostPosted: Tue Jul 06, 2004 6:45 pm Reply with quote

Raven,

The test worked flawlessly on my local installation. If this was this easy, I can't wait to install your custom distro.

Thanks again.

_________________
"The Daytona 500 is ours! We won it, we won it, we won it!", Dale Earnhardt, February 15th, 1998, Daytona 500 
View user's profile Send private message Send e-mail Visit poster's website Yahoo Messenger MSN Messenger ICQ Number
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> BUGS/FIXES - Raven's v7.3 Customized Distro

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©